@charset "UTF-8";

@font-face {
	font-family: "Playfair Display", serif;
	src: url("../X/fonts_PlayfairDisplay-VariableFont_wght.ttf") format("truetype");;
	font-optical-sizing: auto;
	font-weight: 300 900;
	font-style: normal;
  }

* {box-sizing: border-box;}

:root {
font-size: 16px;
--containerSize: 1180px;
/* ### Kolory globalne ### */
--RealWhite: #FFFFFF;	/* biały 100% w tabelach */ 
--White: #FCFCFC;	/* tło strony */ 
--Black: #313131; /* podstawowy kolor tekstu */
--BelkiBG: #FAFAFA; /* delikatny szary w belkach funkcyjnych */
--Gray1: #D9D9D9; /* głównie bordery */
--Gray2: #313131; /* ikonki top belka, linki top menu, data newsa */
--Gray3: #F6F7F9; /* tło w dropdown na hover */
--Vertical-Line: #d3d3d3;
--Bread: var(--Gray2);
--highlight: #FFFF00;

/* ### Kolory specjalne ### */
--Red: #4D1B1A;
--RedTinta: #FFCECD;

--Green: #18411E;
--GreenTinta: #CAF4D1;

--Blue: #054A75;
--BlueTinta: #87CEFA;
--Blue2: #007AFF; /* dymek od ikonki z liczbą powiadomień i karetka w inside menu */

/* ### Kolory indywidualne ### */
--mainColor:#A8240F;
--secondColor:#F0F0F0;

/* ### kolory dla dropDownContent ikon top belki ### */
--DropTopTxt: var(--Gray2);
--DropTop_Hover: var(--Gray3);
--DropTop_HoverTXT: var(--Gray2);
--DropTopBorder: none;


/* ### kolory dla TopMenu__dropContent ## */
--dropFont: var(--Gray2);
--dropFontHover: var(--Gray2);
--dropBG: var(--White);
--dropBGHover: var(--Gray3);
--dropBGHoverMobile: var(--Gray3);
--dropBGHoverTxt: var(--mainColor);
--dropBurger: var(--Black);

/* table */
--thead: var(--secondColor);
--theadTXT: var(--Black);

/* inne */
--imgBlend: darken;

}

/* Wysoki kontrast */
[data-theme="dark"] {
--WCAG-Yellow: #FFFF00;
--highlight: #559CC8;

--RealWhite: #000;
--White: #000;	
--Black: #fff; 
--BelkiBG: var(--White); 
--Gray1: var(--WCAG-Yellow); 
--Gray2: var(--WCAG-Yellow);
--Gray3: #000; 
--Vertical-Line: var(--WCAG-Yellow);
--Bread: var(--WCAG-Yellow);

--Red: #4D1B1A;
--RedTinta: #FFCECD;

--Green: #18411E;
--GreenTinta: #CAF4D1;

--Blue: var(--WCAG-Yellow);
--BlueTinta: #87CEFA;
--Blue2: var(--WCAG-Yellow);

--mainColor: var(--WCAG-Yellow); 
--secondColor: var(--White); 

/* ### kolory dla dropDownContent ikon top belki ### */
--DropTop_Hover: var(--WCAG-Yellow);
--DropTop_HoverTXT: var(--White);
--DropTopBorder: 0.5px solid var(--WCAG-Yellow);

--dropFont: var(var(--WCAG-Yellow));
--dropFontHover: var(--White);
--dropBG: var(--White);
--dropBGHover: var(--WCAG-Yellow);
--dropBGHoverMobile: var(--WCAG-Yellow);
--dropBGHoverTxt: var(--White);
--dropBurger: var(--WCAG-Yellow);

/* table */
--thead: var(--WCAG-Yellow);
--theadTXT: var(--White);
/* inne */
--imgBlend: normal;

}

[data-theme="dark"] img {filter: grayscale(100%) contrast(120%); background-color: var(--Black);}
[data-theme="dark"] [class*="swiper-slide"] {filter: grayscale(100%) contrast(120%);}

/* ##### GLOBAL #### */

html, body {
  margin: 0;
  padding: 0;
  scroll-behavior: smooth;
  scroll-padding-top: 70px; 
}

body {
	font-family: "Open Sans", sans-serif;
    color:var(--Black);
    font-weight: 400;
    -webkit-font-smoothing: subpixel-antialiased;
    font-size: 1rem;
    line-height: 1.5;
	background-color: var(--White);
	transition: all 0.3s ease;
}

a {
	color: var(--mainColor);
	text-decoration: none;
	/* padding: 5px; */
}

a img {border: none;}

a:hover {
	text-decoration: underline;
}

h1, h2, h3 {margin-bottom: 0.5rem; margin-top: 0rem; line-height: 1.2; text-wrap: balance;}
h5, h6 {margin-bottom: 0.5rem; margin-top: 1rem; line-height: 1.2; text-wrap: balance;}
h4 {
	margin-top: 0rem;
	margin-bottom: 0px; 
	line-height: 1.2; 
	word-break: keep-all;
  overflow-wrap: break-word; /* Zapewnia zawijanie całych słów */
  white-space: normal;
  hyphens: none;
  display: block;
  max-width: 100%; /* Upewnia się, że element mieści się w rodzicu */
}

h4 a {
	color: var(--Black);
}

h4 a:hover {
	color: var(--mainColor);
	text-decoration: none;
}

h1 {font-size: 2.125rem; font-family: "Playfair Display"; font-weight: 600;}
h2 {font-size: 1.875rem; font-family: "Playfair Display"; font-weight: 500;}
h3 {font-size: 1.5rem;  color: var(--mainColor); font-weight: 500;}
h4 {font-size: 1.25rem;  font-weight: 600;}
h5 {font-size: 1.125rem; font-weight: 600;}

  /* Dla urządzeń o szerokości do 767px (smartfony) */
  @media only screen and (max-width: 767px) {
	h1 { font-size: 1.625rem; line-height: 1.3;}
	h2 { font-size: 1.375rem; line-height: 1.3;}
	h3 { font-size: 1.25rem;  line-height: 1.4;}
	h4 { font-size: 1.125rem; line-height: 1.4;}
	h5 { font-size: 1rem;  line-height: 1.5;}
  }

  p {
	font-size: 1rem;
	margin-top: 0.5rem;
	margin-bottom: 1rem;
}

.headerLine h3 {
	letter-spacing: 0;
	line-height: 1.5em;
	padding-bottom: 15px;
	position: relative;
  }
  .headerLine h3:before {
	content: "";
	position: absolute;
	left: 0;
	bottom: 0;
	height: 5px;
	width: 55px;
	background-color: var(--mainColor);
  }
  .headerLine h3:after {
	content: "";
	position: absolute;
	left: 0;
	bottom: 2px;
	height: 1px;
	width: 95%;
	max-width: 255px;
	background-color: var(--mainColor);
  }
  

.img---intxt {
    float: left; 
    margin: 0 15px 30px 0; 
    max-width: 25%; 
    height: auto; 
	border: 0;
}

hr { border: none; border-top: 1px solid var(--Gray1); margin: 40px 0; }

/* cytaty */
.custom-quote {
	border-left: 4px solid #3b82f6;
	padding-left: 1rem;
	margin-left: 0;
	font-size: 1.1rem;
	line-height: 1.5;
}

/* przypisy */

sup a {
    text-decoration: none; 
    color: var(--Blue2); 
    font-size: 0.9rem; 
	font-weight: 500;
    line-height: 0; 
    position: relative;
    /* top: -0.5em;  */
}
ol {
	padding: 0px 10px;
  }
ol.notes li::marker {
	font-size: 1.3rem;
	font-weight: 600;
}

sup a:hover {
	text-decoration: underline; 
}

/* inne podejście do przypisów */

.superscript__list {
    padding-left: 0px;
}

.superscript__item {
    display: flex;
    /* gap: 10px; */
    margin-bottom: 20px;
}

.superscript__number {
    min-width: 25px;
    text-decoration: underline;
    color: var(--Black); 
    font-size: 1.3rem;
	font-weight: 600;
}

.superscript__number:hover {
    text-decoration: underline;
	color: var(--Blue2); 
}

.superscript__content {
    flex: 1;
	padding-top: 5px;
}

/* ## BUTTONY ## */

.fa-arrow-down-to-line {margin-left: 8px;}

.button {
	display: inline-block;
	padding: 8px 16px;
	font-size: 0.875rem;
	color: var(--mainColor); 
	text-decoration: none;
	border: 1px solid var(--mainColor); 
	border-radius: 4px;
	background-color: var(--White);
	transition: background-color 0.3s, color 0.3s;
	position: relative;
  }
  
  .button:hover {
	background-color: var(--mainColor); 
	color: var(--White);
	text-decoration: none;
  }

ol li {margin: 10px;}  


  /* text input */

input[type="text"],
input[type="number"],
input[type="tel"],
input[type="email"],
input[type="search"] {
    width: 100%;
    box-sizing: border-box;
    padding: 0.4rem 0.9rem;
    height: 35px!important;
    font-size: 0.75rem;
    font-weight: 500;
    line-height: 1.5;
    color: var(--Black);
    background-color: var(--White);
    background-clip: padding-box;
    border: 1px solid var(--Gray1);
    appearance: none;
    border-radius: 4px;
    transition: border-color .3s ease-in-out;
  }
  
  input[type="text"]:focus,
  input[type="number"]:focus,
  input[type="tel"]:focus,
  input[type="email"]:focus,
  input[type="search"]:focus  {
    outline: none;
    color: var(--Black);
    border: 0.5px solid var(--mainColor);
    }  

.form_input--search {
	width: 250px!important;
}	

hr {
	clear: both;
	margin-bottom: 16px;
}

/* ## OWL CAROUSEL NEWSY ## */
.owl-carousel,.owl-carousel .owl-item{-webkit-tap-highlight-color:transparent;position:relative}.owl-carousel{display:none;width:100%;z-index:1}.owl-carousel .owl-stage{position:relative;-ms-touch-action:pan-Y;touch-action:manipulation;-moz-backface-visibility:hidden}.owl-carousel .owl-stage:after{content:".";display:block;clear:both;visibility:hidden;line-height:0;height:0}.owl-carousel .owl-stage-outer{position:relative;overflow:hidden;-webkit-transform:translate3d(0,0,0)}.owl-carousel .owl-item,.owl-carousel .owl-wrapper{-webkit-backface-visibility:hidden;-moz-backface-visibility:hidden;-ms-backface-visibility:hidden;-webkit-transform:translate3d(0,0,0);-moz-transform:translate3d(0,0,0);-ms-transform:translate3d(0,0,0)}.owl-carousel .owl-item{min-height:1px;float:left;-webkit-backface-visibility:hidden;-webkit-touch-callout:none}.owl-carousel .owl-item img{display:block;width:100%}.owl-carousel .owl-dots.disabled,.owl-carousel .owl-nav.disabled{display:none}.no-js .owl-carousel,.owl-carousel.owl-loaded{display:block}.owl-carousel .owl-dot,.owl-carousel .owl-nav .owl-next,.owl-carousel .owl-nav .owl-prev{cursor:pointer;-webkit-user-select:none;-khtml-user-select:none;-moz-user-select:none;-ms-user-select:none;user-select:none}.owl-carousel .owl-nav button.owl-next,.owl-carousel .owl-nav button.owl-prev,.owl-carousel button.owl-dot{background:0 0;color:inherit;border:none;padding:0!important;font:inherit}.owl-carousel.owl-loading{opacity:0;display:block}.owl-carousel.owl-hidden{opacity:0}.owl-carousel.owl-refresh .owl-item{visibility:hidden}.owl-carousel.owl-drag .owl-item{-ms-touch-action:pan-y;touch-action:pan-y;-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;user-select:none}.owl-carousel.owl-grab{cursor:move;cursor:grab}.owl-carousel.owl-rtl{direction:rtl}.owl-carousel.owl-rtl .owl-item{float:right}.owl-carousel .animated{animation-duration:1s;animation-fill-mode:both}.owl-carousel .owl-animated-in{z-index:0}.owl-carousel .owl-animated-out{z-index:1}.owl-carousel .fadeOut{animation-name:fadeOut}@keyframes fadeOut{0%{opacity:1}100%{opacity:0}}.owl-height{transition:height .5s ease-in-out}.owl-carousel .owl-item .owl-lazy{opacity:0;transition:opacity .4s ease}.owl-carousel .owl-item .owl-lazy:not([src]),.owl-carousel .owl-item .owl-lazy[src^=""]{max-height:0}.owl-carousel .owl-item img.owl-lazy{transform-style:preserve-3d}.owl-carousel .owl-video-wrapper{position:relative;height:100%;background:#000}.owl-carousel .owl-video-play-icon{position:absolute;height:80px;width:80px;left:50%;top:50%;margin-left:-40px;margin-top:-40px;background:url(owl.video.play.png) no-repeat;cursor:pointer;z-index:1;-webkit-backface-visibility:hidden;transition:transform .1s ease}.owl-carousel .owl-video-play-icon:hover{-ms-transform:scale(1.3,1.3);transform:scale(1.3,1.3)}.owl-carousel .owl-video-playing .owl-video-play-icon,.owl-carousel .owl-video-playing .owl-video-tn{display:none}.owl-carousel .owl-video-tn{opacity:0;height:100%;background-position:center center;background-repeat:no-repeat;background-size:contain;transition:opacity .4s ease}.owl-carousel .owl-video-frame{position:relative;z-index:1;height:100%;width:100%}
.owl-theme .owl-dots,.owl-theme .owl-nav{text-align:center;-webkit-tap-highlight-color:transparent}.owl-theme .owl-nav{margin-top:10px}.owl-theme .owl-nav [class*=owl-]{color:var(--White);font-size:14px;margin:5px;padding:4px 7px;background:#D6D6D6;display:inline-block;cursor:pointer;border-radius:3px}.owl-theme .owl-nav [class*=owl-]:hover{background:#869791;color:var(--White);text-decoration:none}.owl-theme .owl-nav .disabled{opacity:.5;cursor:default}.owl-theme .owl-nav.disabled+.owl-dots{margin-top:10px}.owl-theme .owl-dots .owl-dot{display:inline-block;zoom:1}.owl-theme .owl-dots .owl-dot span{width:10px;height:10px;margin:5px 7px;background:#D6D6D6;display:block;-webkit-backface-visibility:visible;transition:opacity .2s ease;border-radius:30px}.owl-theme .owl-dots .owl-dot.active span,.owl-theme .owl-dots .owl-dot:hover span{background:#869791}

.news_box  {
	font-size: 1rem;
}

.news--content p {font-size: 0.875rem;}

.news---data {
	font-size: 0.75rem;
	margin-bottom: 12px;
	margin-top: 0;
	color:var(--Gray2);
}

.news---title {
	/* font-size: 1rem; */
	font-weight: 600;
	color: var(--Black);
}

.news---title:hover {
	text-decoration: none!important;
	color: var(--mainColor)!important;
}

.news__img {
	display: flex;
	/* width: 360px; */
	overflow: hidden; 
}

.news__img--slider {
	aspect-ratio: 16 / 9;
}

.news__img img {
	flex: 1 0 100%;
	width: 100%;
	height: auto;
}

	/* ZAMYKANE KOMUNIKATY */
	.alert {
		padding: 20px;
		letter-spacing: 1px;
		opacity: 1;
		transition: opacity 0.4s;
		line-height: 1.3rem;
		font-size: 0.8rem;
		border-radius: 2px;
		}
	  
		.alert---blue {border: 0.5px solid #054A75; background-color:#87CEFA!important; color: #054A75;}
		.alert---blue:hover {border: 0.5px solid #87CEFA; background-color:#054A75!important; color: #87CEFA;}

		.alert---green {border: 0.5px solid #18411E; background-color:#CAF4D1!important;color: #18411E;}
		.alert---red {border: 0.5px solid #4D1B1A; background-color:#FFCECD!important;color: #4D1B1A;}
		
		.alert_closebtn {
		margin-left: 15px;
		font-weight: bold;
		float: right;
		font-size: 1.2rem;
		line-height: 20px;
		cursor: pointer;
		transition: 0.3s;
		}
		
		.alert_closebtn:hover {
		color: var(--Black);
		}
		
		/* KONIEC ZAMYKANE KOMUNIKATY */

/*     ################## */
/*     #####  TOP BELKA ##### */
/*     ################## */

.Top_container {
	width: 100%; 
	/* position: fixed; */
	display: flex;
	flex-direction: column;
	top: 1px;
	z-index: 50;
}

.TopBelka_container {
	width: 100%; 
	height: 50px; 
	background: var(--BelkiBG); 
	border-bottom: 0.50px var(--Gray1) solid; 
	justify-content: center;
	align-items: center; 
	display: flex;
}

	.TopBelka_content {
		width: var(--containerSize);
		display: flex;
		align-items: center;
		justify-content: space-between;
		padding: 0px 10px;
		height: 50px;
	}

	.top_icon_container {
		display: flex;
		align-items: center;
		justify-content: flex-end;
	}
/* logo w top belce i w header na mobile */
	.sygnet_logo {
		max-height: 47px; 
		/* mix-blend-mode: darken;  */
		display: block;
		margin: 0;
		padding: 0;
		vertical-align: middle; 
	}

	.mother_logo {display: none;}

.top__toggles {
	display: flex;
	align-items: center;
	justify-content: center;
	gap: 8px;
}

.top__toggles a {
	color:#2E5C8B;
	text-decoration: none;
	font-size: 0.8rem;
	line-height: 0px;
}

.top__toggles a:hover {
	text-decoration: underline;
}

/* ### TOP MENU ### */
.set---sticky {
	position: sticky;
	top: 0;
	z-index: 50;
  }

  .ScrollHorizontalBox__content {
	display: flex;
	align-items: center;
	justify-content: flex-start;


	overflow-x: auto; 
	overflow-y: hidden;
	-ms-overflow-style: none;  
	scrollbar-width: none;  
	-webkit-overflow-scrolling: touch;

	position: relative;
	}

	.ScrollHorizontalBox__content::-webkit-scrollbar {
	display: none; 
	width: 0;
	}

.TopMenu {
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: var(--White);
    height: 50px;
	border-bottom: 0.50px var(--Gray1) solid; 
	padding-left: 20px;
	padding-right: 20px;
}

.TopMenu__links {
    list-style: none;
    display: flex;
	align-items: center;
    position: relative;
    gap: 16px;
    white-space: nowrap;
	padding: 0;

}

.TopMenu__links li {
    position: relative;
}

.TopMenu__links a {
    color:var(--Gray2);
    text-decoration: none;
    font-size: 0.9rem;
    transition: color 0.3s ease;
}

.TopMenu__links a:hover {
    color: var(--mainColor);
}

.TopMenu__links a:focus {
    color: var(--mainColor);
}

.TopMenu__links a:active {
    color: var(--mainColor);
}

.TopMenu__links a:after {
	content: ''; 
	position: absolute; 
	bottom: -13px; 
	left: 0; 
	width: 100%; 
	border-bottom: 4px solid var(--mainColor); 
	display: none;
}

/* wyswietla niebieskie podkreslenie po najechaniu */
.TopMenu__links a:hover:after {
	display: block;
}

.TopMenu__dropLink i {margin-left: 6px; font-size: 0.8rem;}


/* ### DROP DOWN TOP MENU ### */

.TopMenu__dropContent {
    display: none;
	flex-direction: column;
    position: absolute;
    background-color:var(--White);
	min-width: 100%;
    top: 100%;
    left: 0;
    list-style: none;
    padding: 0;
	margin-top: 13px;
	white-space: nowrap;
	border-radius: 4px;
	box-shadow: rgba(9, 30, 66, 0.25) 0px 4px 8px -2px, rgba(9, 30, 66, 0.08) 0px 0px 0px 1px;
	z-index: 999;
	
}

.TopMenu__dropContent a {
	display: flex;
	align-items: center;
	justify-content: flex-start;
    text-decoration: none; 
	color:var(--dropFont);
    min-width: 100%;
	background-color: var(--dropBG);
	text-decoration: none;
	padding: 12px 12px;
	border-radius: 4px;
	z-index: 999;
}

.TopMenu__dropContent a:hover:after {
	display: none;
}


.TopMenu__dropContent li a:hover {
	color: var(--dropFontHover);
	background-color: var(--dropBGHover);
	border-radius: 0px;
}

  .TopMenu__dropContent li:first-child a:hover {
	border-top-left-radius: 4px;
	border-top-right-radius: 4px;
  }

  .TopMenu__dropContent li:last-child a:hover {
	border-bottom-left-radius: 4px;
	border-bottom-right-radius: 4px;
  }


.TopMenu__dropLink:hover {
	color: var(--dropBGHoverTxt);
}


.TopMenu__dropContent li {
    min-width: 100%;
	border-radius: 4px;
	
}

.dropdown.active .TopMenu__dropContent {
    display: flex;
}

.burger {
    display: none;
    cursor: pointer;
    font-size: 1.5rem;
}

.burger i {color: var(--dropBurger);}

  /* ### IKONKI TOP MENU ### */
  

  .top_menu_icon {
	position: relative;
	display: flex;
	justify-content: center; 
	width: 50px;
  }

  .top_menu_icon:hover {cursor:pointer;}

  .top_menu_icon i {
	font-size: 1.2rem; 
	color: var(--Gray2);
}  

	.top_menu_setting {
		top: 33px;
		width: auto;
	}

	.IconSkrajnaPrawa {
		right: 0;
	}
	.IconSkrajnaLewa {
		left: 0;
	}

/* ### tooltip do top ikon menu ### */	

.top_menu_icon i:hover::after {
	content: attr(data-tooltip);
	position: absolute;
	top: 170%;
	/* left: 50%; */
	transform: translateX(-50%);
	background-color: var(--Black);
	color: var(--White);
	padding: 5px 10px;
	border-radius: 4px;
	white-space: nowrap;
	box-shadow: 0 2px 10px rgba(0, 0, 0, 0.2);
	font-size: 12px;
	font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", "Roboto", "Helvetica Neue", Arial, sans-serif;
	opacity: 0;
	transition: opacity 0.3s;
	pointer-events: none;
	z-index: 90;
}

.top_menu_icon i:hover::after {opacity: 1;}
.top_menu_setting i:hover::after {opacity: 0;}

  .unread_messages {
	position:absolute;
	top: -4px;
	right: 6px;
	background-color: var(--Blue2);
	color:var(--White);;
	border-radius: 50%;
	width: 17px;
	height: 17px;
	font-size: 11px;
	display: flex;
	align-items: flex-end;
	align-self: flex-end;
	justify-content: center;
	
  }

.vertical_line_kontener {
	position: relative;
	display: flex;
	justify-content: center; 
	flex-basis: 10px;
  }

  .vertical_line {
	content: '';
	width: 1px;
	height: 25px;
	background-color: var(--Vertical-Line);
	display: inline-block;    
  }

  /* ### DROPDOWN ###  */

.top_menu_setting a i {
	font-size: 0.9rem;
	width: 20px;
	text-align: center;
	text-decoration: none;
	color: var(--DropTopTxt); 
  }  
 
  .top_menu_setting ul {
	margin:0px;
	padding: 0px;
	list-style: none;
	width: 100%;
  }

  .top_menu_setting ul li {
	white-space: nowrap;
  }


.dropDownContent {
	display: none;
    position: absolute;
    text-align: left;
    justify-content: center;
    font-size: 0.7rem;
    background-color: var(--White);
    box-shadow: rgba(9, 30, 66, 0.25) 0px 4px 8px -2px, rgba(9, 30, 66, 0.08) 0px 0px 0px 1px;
    border-radius: 4px;
	z-index: 60;
	border: var(--DropTopBorder);
}

.dropDownContent ul {
	list-style: none;
	padding: 0;
	margin: 0;
	width: 100%;
	font-size: 0.8rem;
}

  .dropDownContent ul li a {
	display: flex;
	align-items: center;
	justify-content: flex-start;
	color: var(--DropTopTxt);
	padding: 12px 12px;
	text-decoration: none;
	border-radius: 4px;
	gap: 10px;
	font-size: 0.8rem;
  }


  .dropDownContent ul li a:hover {
	color: var(--DropTop_HoverTXT);
	background-color: var(--DropTop_Hover);
	border-radius: 0px;
  }

  .dropDownContent ul li a:hover i {
    color: var(--DropTop_HoverTXT);
}
  
  .dropDownContent ul li:first-child a:hover {
	color: var(--DropTop_HoverTXT);
	background-color:  var(--DropTop_Hover);
	border-top-left-radius: 4px;
	border-top-right-radius: 4px;
  }
  
  .dropDownContent ul li:last-child a:hover {
	color: var(--DropTop_HoverTXT);
	background-color: var(--DropTop_Hover);
	border-bottom-left-radius: 4px;
	border-bottom-right-radius: 4px;
  }

  .dropDownSHOW {display: block;} 


/* ######### MENU JĘZYKOWE ###### */

  .language-selector {
	position: relative;
	display: flex;
	cursor: pointer;
  }
  
  .selected-language {
	display: flex;
	align-items: center;
	gap: 8px;
	padding: 8px;
  }
  
  .selected-language img {
	height: 20px;
  }
  
  .language-options {
	list-style: none;
	padding: 0;
	margin: 0;
	position: absolute;
	top: 100%;
	left: 0px;
	display: none;
	background-color: var(--White);
	border: 0.50px var(--Gray1) solid; border-top: none; border-bottom-left-radius: 4px; border-bottom-right-radius: 4px;
	z-index: 50;
	min-width: 100%;
  }
  
  .language-options li {
	
	display: flex;
	align-items: center;
	gap: 8px;
	min-width: 100%;
  }

  .language-options li a {
	width: 100%;
	padding: 8px;
	text-align: right;
  }

  .language-options li a:hover {
	background-color: var(--Gray3);
	text-decoration: none;
	border-radius: 0px;
  }

  .language-options ul li:last-child a:hover {
	background-color: var(--Gray3);
	border-bottom-left-radius: 4px;
	border-bottom-right-radius: 4px;
}
  
  .language-options img {
	height: 20px;
  }
  
  .language-selector:hover .language-options {
	display: block;
  }

  .language-selector:hover .selected-language {
	background-color: var(--White);
	border: 0.50px var(--Gray1) solid; border-bottom: none; border-top-left-radius: 4px; border-top-right-radius: 4px;
  }
  
  /* ### LOGO  ### */

 .logoContainer {
	min-height: 120px;
	width: 100%; 
	background: var(--White); 
	border-bottom: 0.50px var(--Gray1) solid; 
	justify-content: center;
	align-items: center; 
	display: flex;
	flex-wrap: wrap;
	z-index: 40; 
 } 

 .logoContainer img {max-height: 100px;}

	/* #### HEADER ARTICLE INTRO #### */

	.article__container {
		min-height: 300px;
		background-color: var(--Gray3);
		border-bottom: 0.50px var(--Gray1) solid; 
	}
	.article__container p {
		font-size: 0.875rem;
	}

	.article__container a {
		color: inherit;
		font-weight: 600;
	}

	.article__container img {
		max-height: 200px;
	}

	/* ########## BODY CENTER ########## */

	.BodyContent {
		display: flex;
		flex-wrap: wrap;
		max-width: var(--containerSize);
		margin: 0px auto;
		overflow-wrap: break-word;
		word-wrap: break-word;
		-ms-word-break: break-word;
		word-break: break-word;
		text-wrap: pretty;
	  }

	  .BodyContent--width {
		width: var(--containerSize);
	  }
	  
	  .BodyContent > * {padding: 20px; }
	  
	  .BodyContent__size100 {width: 100%;}
	  .BodyContent__size50 {width: 50%;}
	  .BodyContent__size75 {width: 75%;}
	  .BodyContent__size66 {width: 66.66%;}
	  .BodyContent__size33 {width: 33.33%;}
	  .BodyContent__size25 {width: 25%;}
	  
	  .BodyContent--AddFlex {display: flex; flex-wrap: wrap; align-items: flex-start; justify-content: flex-start;}
	  .BodyContent--AddFlex > div {padding: 0px 7.5px 0px 7.5px; }
	  .BodyContent--RemovePadding {padding: 15px 0px 15px 0px!important;}


/* ############# OKRUSZKI  ############ */

.okruszki_kontener {
	width: 100%;
	height: 40px;
	background: var(--BelkiBG);
	border-bottom: 0.50px var(--Gray1) solid; 
	justify-content: center;
	align-items: center; 
	display: flex;
	/* overflow-x: hidden; */
}

.breadcrumbs_container {
	font-size: 0.9rem;
	max-width: var(--containerSize);
	display: flex;
	align-items: center;
	justify-content: flex-start;
	padding: 0px 10px;
	position: relative;
	width: 100%;
	/* overflow: hidden; */
}
	
	.breadcrumbs_container i {color: var(--Gray1);}
	.dropDownContent i {color:var(--Bread);}
	
	.breadcrumbs---ellipsis {
		color:var(--Bread)!important;
		font-size: 1rem!important;
	}
	
	.breadcrumbs---ellipsis:hover {
		color: var(--Black)!important;
	}
	
	.breadcrumbs---list {
		list-style: none;
		padding: 0;
		margin: 0;
		display: flex;
		gap: 9px;
		align-items: center;
		width: 100%;
		flex-wrap: nowrap;
	}

	.strona_biezaca {
		white-space: nowrap;
		overflow: hidden;
		text-overflow: ellipsis;
		flex: 1;
		min-width: 0;
		color: var(--Blue);
		text-decoration: underline;
	  }

	    /* Aby zapewnić, że inne elementy listy nie będą się kurczyć */
  .breadcrumbs---list li:not(.strona_biezaca) {
	flex-shrink: 0;
  }
	
	.breadcrumbs---links {
		color:var(--Bread);
		position: relative; /* ważne dla tooltipa */
	}
	
	.breadcrumbs---links:hover {
		text-decoration: underline;
		color: var(--Black);
	}

	.dropDownButton {
		cursor: pointer;
	}

/* ### NIEBIESKI HOVER ### */

.BlueHover_settings::after {
	content: ''; 
	position: absolute; 
	bottom: -11px; 
	left: 0; 
	width: 100%;
	border-bottom: 3px solid #007AFF; 
	display: none;
  }

  .BlueHover_settings:hover::after {
	display: block;
  }  

/* ############# INSIDE MENU  ############ */

.WindowHeader {
	display: flex;
	justify-content: space-between;
	align-items: center;
	min-height: 50px;
	padding: 10px 25px 10px 25px;
	background-color: var(--White);
	color: var(--Black);
	font-size: 1rem;
	font-weight:500;
	border-radius: 5px 5px 0 0;
	border: 0.5px solid var(--Gray1);
	}
	.WindowHeader .ikonki {
	  display: flex;
	  gap: 20px;
	}

	.WindowHeader a {color: var(--Black);}
	.WindowHeader a:hover {color: var(--Black); text-decoration: none;}

.inside_menu{
	display: flex;
  }

  .inside_menu--sticky {
	position: sticky;
	top: 80px;
	z-index: 50;
  }
  
  .inside_menu ul {
	  margin:0px;
	  padding: 0px;
	  list-style: none;
	  width: 100%;
	  font-size: 0.8rem;
  
	  /* border: 1px solid yellow; */
  }
  
  
	.inside_menu ul li a:hover {
	  /* background-color: #F0F0F0; */
	  background-color: var(--Gray3);
	  text-decoration: none;
	}
  
	.inside_menu ul li a {
	display: block; /* potrzebne do tego żeby działał elipsis */
	align-items: center;
	justify-content: space-between;
	padding: 12px 15px 12px 25px;
	font-size: 0.8rem;
	background-color: var(--White);
	border-bottom: 0.5px solid var(--Gray1);
	border-right: 0.5px solid var(--Gray1);
	border-left: 0.5px solid var(--Gray1);
	color: var(--Black);
	/* skracanie długich linków */
	white-space: nowrap;    
    overflow: hidden;       
    text-overflow: ellipsis;
	}
  
	.inside_menu a:hover::before {
	  content: '\00258E';
	  position: absolute;
	  color: var(--Blue2);
	  margin-left: -15px;
	  transform: translateY(-10%);
	  font-size: 1rem;
	  }
	  
	.inside_menu_info {
	  font-size: 0.8rem;
	  color: var(--Blue2);
	  padding: 2px 10px 2px 10px;
	  margin: 0px;
	  border-radius: 4px;
	  background-color: rgba(2, 123, 255, 0.1);
	  border: 0.5px solid var(--Gray1);
	}  
  
	/* aktywna pozycja menu */
	.inside_menu_active::before {
	  content: '\00258E';
	  position: absolute;
	  color: var(--Blue2);
	  margin-left: -15px;
	  transform: translateY(-10%);
	  font-size: 1rem;
	}
  
	.inside_menu ul li a.inside_menu_active {
	  /* background-color: #F0F0F0; */
	  background-color: var(--Gray3);
	  text-decoration: none;
	}


	  /* METRYCZKA ZAŁACZNIKA */

.metryczka_container {
	display: flex; 
	align-items: center; 
	justify-content: space-between; 
	/* width: 100%;  */
	height: 30px; 
	background-color: #FAFAFA;
	border: 0.5px solid var(--Gray1);
	font-size:0.8rem;
	padding-left: 16px;
	padding-right: 16px;
	margin-bottom: 16px;
	margin-top: 16px;
}
.metryczka_container a {color:var(--Black); text-decoration: none;}
.metryczka_container a:hover {text-decoration: underline;}


.metryczka_content--right i {
	margin-right: 4px;
}

.metryczka_content--left a {
	margin-right: 8px;
}
.metryczka_content--left a:last-child {
	margin-right: 0;
}

.metryczka_content--left i {
	margin-left: 4px;
}

.metryczka__hiddenContent--off { display: none; }
.metryczka__hiddenContent--on { display: block; }

    /* tabela metryka */
.metryczka_zalacznik {
	width: 100%;
	border-collapse: collapse;
	font-size: 0.8rem;
	}
  
  .metryczka_zalacznik td {padding: 8px;}
  
  .metryczka_zalacznik th:first-child,
  td:first-child {
	width: 25%;
  }
  
  .metryczka_zalacznik th:nth-child(2),
  td:nth-child(2) {
	width: 75%;
  }
  
  /* Stylizacja naprzemiennych wierszy */
  .metryczka tr:nth-child(even) {
	background-color: #f5f5f5;
  }
  
  .metryczka tr:nth-child(odd) {
	background-color: var(--White)fff;
  }
  
  /* KONIEC METRYCZKA ZALACZNIKA */

	/* .body_container {
		max-width: var(--containerSize);
		margin: 0px auto;
		padding: 16px 10px;

	} */


/* ### loga partnerów ### */

@keyframes slide {
	from {
	  transform: translateX(0);
	}
	to {
	  transform: translateX(-100%);
	}
  }
  
  .logos {
	overflow: hidden;
	padding: 60px 0;
	white-space: nowrap;
	position: relative;
  }
  
  .logos:before,
  .logos:after {
	position: absolute;
	top: 0;
	width: 250px;
	height: 100%;
	content: "";
	z-index: 10;
  }
  
  .logos:before {
	left: 0;
	background: linear-gradient(to left, rgba(255, 255, 255, 0), var(--White));
  }
  
  .logos:after {
	right: 0;
	background: linear-gradient(to right, rgba(255, 255, 255, 0), var(--White));
  }
  
  .logos:hover .logos-slide {
	animation-play-state: paused;
  }
  
  .logos-slide {
	display: inline-block;
	animation: 35s slide infinite linear;
	background-color:  var(--White);
  }
  
  .logos-slide img {
	height: 80px;
	margin: 0 40px;
	mix-blend-mode: var(--imgBlend);
  }    


/* ### TYTUŁY STRONA H3 ### */
.pageTitle {
	padding: 26px 0px;
}

/* przyciski do artykułów następny poprzedni */

.btnPrvNxt {
	display: flex;
	align-items: center;
	justify-content: space-between;
	margin-top: 10px;
}


  	/* ### FOOTER ### */

	.Footer_container {
		background-color:var(--secondColor);
		width: 100%;
		display: flex;
		align-items: center;
		justify-content: center;
		border-top: 1px solid var(--Gray1);
	}

	.Footer_container .BodyContent__size33 {padding-top: 10px; padding-bottom: 0px;}

	.Footer_container a {
		color: var(--Black);
	}

	.Footer_container a:hover {
		color: var(--Black);
		text-decoration: none;
		color: var(--mainColor);
	}
	
	ul.Footer--txt {
		list-style-type: none;
		padding: 0;
		padding-bottom: 10px;
		margin: 0;
		font-size: 0.875rem;
		/* przenoszenie wyrazu niżej lub złamanie jeśli nie da się przenieść */
		overflow-wrap: break-word; 
		word-break: break-word; 
		word-break: normal; 
		
		
	}

	ul.Footer--txt li {
		margin-bottom: 7px; /* Zwiększenie odstępu pionowego pomiędzy pozycjami */
	}

	/* COPYRIGHTS */

	.Copyrights_container {
		background: var(--BelkiBG); 
		height: 50px;
		width: 100%;
		display: flex;
		align-items: center;
		justify-content: flex-start;
		border-top: 1px solid var(--Gray1);
		
	}
		.Copyrights_content {
			display: flex;
			justify-content: space-between;
			width: var(--containerSize);
			margin: 0px auto;
			padding: 0px 10px;
			font-size: 0.8rem;
		}

			.Copyrights_content__left {
				flex: 1;
			}
			.Copyrights_content__right {
				flex: 1;
				text-align: right;
			}


.scroll-to-top {
    position: fixed;
    bottom: 50px;
    right: 20px;
    display: none;
    /* background-color: #333; */
	background-color: rgba(0, 0, 0, 0.7);
    color: var(--White);
    border: none;
    padding: 10px;
    border-radius: 5px;
    cursor: pointer;
    font-size: 20px;
    z-index: 1000;
}

.scroll-to-top i {
    margin: 0;
}

.scroll-to-top:hover {
    background-color: #555;
}

/* Stylowanie dla komunikatu o cookies */
#cookie-notice {
	position: fixed;
    bottom: 0px;
	width: 100%;
    background-color: var(--Black);
    color: var(--White);
    padding: 15px 20px;
    z-index: 1000;
    opacity: 0.95;
    transition: opacity 0.5s ease-out;
}

.cookie-notice_content {
	max-width: var(--containerSize);
	margin: 0 auto;
	display: flex;
	justify-content: center;
    align-items: center;
	gap: 20px;
	font-size: 0.8rem;
	line-height: 18px;
}

.cookie-notice_txt a { color: var(--White);}
.cookie-notice_txt a:hover {text-decoration: underline;}

.cookie-notice_btn {
	display: flex;
	gap: 20px;
	padding-left: 8px;
}

#cookie-notice button {
    color: #000;
    border: none;
	width: 100%;
    padding: 5px 10px;
    border-radius: 3px;
    cursor: pointer;
    font-size: 0.8rem;
}

.yes-cookie {background-color: #51d866;}
.yes-cookie:hover {background-color: #45a049;}
.no-cookie {background-color: #E03D2B;}
.no-cookie:hover {background-color: #AD0000;}


.fade-out {
    opacity: 0;
}

.content {
    margin-top: 50px;
    text-align: center;
    font-family: Arial, sans-serif;
}

/*     ###########   TABLE TABELE    ########### */

table {
	border-collapse: collapse;
	margin: 0;
	width: 100%;
	empty-cells: hide;
	table-layout: fixed;
  }
  
  thead th {
	color: var(--theadTXT);
	background-color:var(--thead);
	text-align: left;
  }
  
  table td, table th {
	overflow:visible;
	white-space: normal;
  overflow-wrap: break-word; 
  font-size: 0.8rem;
  line-height: 1rem;
  padding: 8px;
  /* border: 0 solid #E5E7E8; border-left-width: 1px; border-right-width: 1px; border-bottom-width: 1px; */
  border: 0 solid var(--Gray1); border-left-width: 1px; border-right-width: 1px; border-bottom-width: 1px;
  vertical-align: middle;

  /* overflow: hidden; */
  /* text-overflow: ellipsis; */
  /* white-space: nowrap; */
  }
  
  td {vertical-align: text-top;}
  th {vertical-align: bottom; }
    
  /*  ######  TABLE: border i naprzemienne kolory  ############ */
  
  td:first-child, th:first-child {
  border-left: none; /* brak obramowania lewego tylko dla pierwszej kolumny */
  }
  
  td:last-child, th:last-child {
  border-right: none; /* brak obramowania prawego tylko dla ostatniej kolumny */
  }
  
  thead tr:first-child {
  /* border-top: 1px solid white;  */
  border-top: none; /* brak obramowania górnego tylko dla pierwszego wiersza */
  }
  
  table tr:last-child {
  border-bottom: none; /* brak obramowania dolnego tylko dla ostatniego wiersza */
  }
  
  tr:nth-child(odd) {
	background-color: var(--RealWhite);
  }
  
  tr:nth-child(even) {
	background-color: var(--White);
  }
  
/* ### wyszukiwarka ### */

.result { 
	margin: 20px 0; 
	padding: 15px; 
	border: 1px solid var(--Gray1);
	border-radius: 4px;
	background-color: var(--secondColor);
}
.result h3 {
	margin: 0 0 10px 0;
	color: var(--Blue2);
	font-size: 1.3rem;
}
.result a {
	color: var(--Blue2);
	text-decoration: none;
}
.result a:hover {
	text-decoration: underline;
}
.error { 
	color: var(--mainColor);
	padding: 10px;
	background-color: var(--secondColor);
	border-radius: 4px;
}
.no-results { 
	color: var(--Bread);
	padding: 20px;
	text-align: center;
	background-color: var(--secondColor);
	border-radius: 4px;
}
.highlight { 
	background-color: var(--highlight);
	padding: 2px 4px;
	border-radius: 2px;
}
.back-link {
	display: inline-block;
	margin-top: 20px;
	color: var(--Bread);
	text-decoration: none;
}
.back-link:hover {
	text-decoration: underline;
}

.keywords {
	font-size: 0.8rem;
	background-color: var(--GreenTinta);
	padding: 1px 4px 2px;
	border-radius: 3px;
    border: 0.5px solid var(--Green);
    color: var(--Black);
	margin-right: 5px;
}

/* ################## */
/* ######  RWD ###### */
/* ################## */

/* * {outline: 1px solid red;} */

#desktopHide {display: none;}
@media only screen and (max-width: 767px) {
	
	html, body {scroll-padding-top: 100px; }

	.mobile100 {width: 100%; text-align: center; margin-bottom: 10px;}

	#mobileHide {display: none;}
	
	#desktopHide {display: block;}
	/* #### TOP MENU #### */
	/* body.menu-open {
        overflow: hidden;
    } */

	.TopBelka_content {
		justify-content: space-evenly;
	}

	.mother_logo {display: block;}

	.top_icon_container {justify-content: space-evenly; width: 100%;}

	.set---sticky {
		position:static;
	  }

	.TopMenu {
		align-items: flex-end;
		flex-direction: column;
		padding-top: 12px;
		padding-bottom: 12px;
		margin: 0;
		height: auto!important;
	}
		
    
    .TopMenu__links {
        display: none;
        flex-direction: column;
        width: 100%;
        background-color: var(--White);
		padding: 0;
		margin: 0;
		gap: 0;
    }

	.TopMenu__links a {
		display: flex;
	align-items: center;
	justify-content: center;
	padding: 12px 12px;
	
	}

	.TopMenu__links li {
		min-width: 100%;
		
	}

	.TopMenu__links a:hover {
		background-color: var(--dropBGHoverMobile);
		color: var(--dropBGHoverTxt);
	}

    .TopMenu__dropContent {
        position: static;
    }

    .burger {
        display: flex;
		/* border: 1px solid red; */
		margin-right: 16px;
    }

	.burger i {
		transition: transform 0.3s ease-in-out;
	}
	
	.burger.rotate i {
		transform: rotate(90deg);
	}

    .TopMenu__links.active {
        display: flex;
    }

	/* pozbywamy się niebieskiego podkreślenia */
	.TopMenu__links a:hover:after {
		display: none;
	}

	.TopMenu__dropContent {
		box-shadow: none;
		margin-top: 0px;
		border: 0.50px var(--Gray1) solid; 
	}


	/* #### DROP UP CONTENT MOBILE MENU ##### */

	/* .mobileMenu_container {
		display: flex;
	} */

	    /* Prevent body from scrolling when menu is open */
		body.menu-open {
			overflow: hidden;
		}
	
		/* Ensure dropdowns are scrollable and correctly displayed */
		.dropdown.active .TopMenu__dropContent {
			display: flex;
			flex-direction: column;
		}

/* ### INSIDE MENU ### */

.inside_menu ul li a:not(.inside_menu_active) {display: none;}


.inside_menu--mobile {
	position: fixed;
	top: 0;
	left: 0;
	width: 100%;
}	
  
  .inside_menu_show ul li a {
  display: block!important;
  }

.toggle_btn_insideMenu {
  cursor: pointer;
}

.toggle-text {
	font-size: 0.8rem;
	margin-right: 5px;
	cursor: pointer;
}

/* ### METRYCZKA ### */

.metryczka_content--left i {font-size: 1rem;margin-right: 16px;}

/* ### FOOTER ### */

.BodyContent {
	flex-direction: column;
}
.BodyContent > * {
	width: 100%;
}

/* ### COOKIES ### */

.cookie-notice_content {gap: 0px;}
.cookie-notice_btn {
	flex-direction: column;
	gap: 10px;
}

  } /* KONIEC RWD */

